R4 is not auto DLDI-patching

Discussion in 'NDS - Flashcarts and Accessories' started by Jasonage, Jul 5, 2008.

  1. Jasonage
    OP

    Jasonage GBAtemp Regular

    Member
    117
    0
    Jul 5, 2008
    Derbyshire, England
    Hey guys.

    My R4 card doesn't auto dldi-patch (hence the title), I have to manually DLDI patch almost all homebrew, unless I do this the homebrew does not work.

    Examples of this are
    - SnemulDS (Or some SNES emulator.)
    - DSOrganize


    Could anybody please help me with this? Maybe I need to put some kind of files on my R4, I don't know.
     
  2. Destructobot

    Destructobot Crave the Hammer

    Member
    5,005
    5
    Oct 15, 2006
    United States
    Portland, OR
  3. Jasonage
    OP

    Jasonage GBAtemp Regular

    Member
    117
    0
    Jul 5, 2008
    Derbyshire, England
    Is that the file that you download from the R4 Site?

    Because I already downloaded the 1.18 version, as no disk came with my R4.
     
  4. Destructobot

    Destructobot Crave the Hammer

    Member
    5,005
    5
    Oct 15, 2006
    United States
    Portland, OR
    Yes, it's the same file. If you're already using the latest loader then I don't know what the problem is. You could try reformatting the memory card, a corrupted file system can cause all sorts of weird problems while still letting you run games.
     
  5. Jasonage
    OP

    Jasonage GBAtemp Regular

    Member
    117
    0
    Jul 5, 2008
    Derbyshire, England
    Yeah, I think I will try that.

    Thanks for the quick help
     
  6. TrolleyDave

    TrolleyDave Philosolosophising

    Former Staff
    7,762
    231
    Jan 1, 2007
    Wales, UK
    Does the NDS file have to be in the root to be auto-DLDI patched on the R4?
     
  7. Destructobot

    Destructobot Crave the Hammer

    Member
    5,005
    5
    Oct 15, 2006
    United States
    Portland, OR
    No.